--- /dev/null
+etc/baculum/Data-apache
\ No newline at end of file
--- /dev/null
+build/etc/baculum/Data-apache/baculum.users /etc/baculum/Data-apache/
+build/etc/apache2/sites-available/baculum.conf /etc/apache2/sites-available/
\ No newline at end of file
--- /dev/null
+etc/baculum/Data-apache usr/share/baculum/htdocs/protected/Data
\ No newline at end of file
--- /dev/null
+#!/bin/sh
+
+set -e
+
+case "$1" in
+ configure)
+ chown -R www-data:www-data /etc/baculum/Data-apache
+ chmod 750 /etc/baculum/Data-apache
+ chown -R www-data:www-data /var/cache/baculum
+ ;;
+esac
+
+#DEBHELPER#
--- /dev/null
+#!/bin/sh
+
+set -e
+
+rm /usr/share/baculum/htdocs/protected/Data/baculum.users
+
+#DEBHELPER#
+
+exit 0
\ No newline at end of file
--- /dev/null
+etc/baculum/Data-lighttpd
\ No newline at end of file
--- /dev/null
+#!/bin/sh
+### BEGIN INIT INFO
+# Provides: baculum
+# Required-Start: $local_fs $remote_fs $network $syslog $named
+# Required-Stop: $local_fs $remote_fs $network $syslog $named
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: Start/stop Baculum
+# Description: Start the Baculum WebGUI Bacula Community tool.
+# This script uses Lighttpd web server for working Baculum WebGUI tool.
+### END INIT INFO
+
+DESC="Baculum WebGUI Bacula Community tool"
+NAME=baculum
+SCRIPTNAME=/etc/init.d/$NAME
+DAEMON=/usr/sbin/lighttpd
+DAEMON_OPTS="-f /etc/baculum/baculum-lighttpd.conf"
+PIDFILE="/var/run/$NAME.pid"
+
+test -x $DAEMON || exit 0
+
+check_syntax()
+{
+ $DAEMON -t $DAEMON_OPTS > /dev/null || exit $?
+}
+
+. /lib/lsb/init-functions
+
+case "$1" in
+ start)
+ check_syntax
+ log_daemon_msg "Starting $DESC" $NAME
+ if ! start-stop-daemon --start --oknodo --quiet \
+ --pidfile $PIDFILE --exec $DAEMON -- $DAEMON_OPTS
+ then
+ log_end_msg 1
+ else
+ log_end_msg 0
+ fi
+ ;;
+ stop)
+ log_daemon_msg "Stopping $DESC" $NAME
+ if start-stop-daemon --stop --retry 30 --oknodo --quiet \
+ --pidfile $PIDFILE --exec $DAEMON
+ then
+ rm -f $PIDFILE
+ log_end_msg 0
+ else
+ log_end_msg 1
+ fi
+ ;;
+ reload|force-reload)
+ check_syntax
+ log_daemon_msg "Reloading $DESC configuration" $NAME
+ if start-stop-daemon --stop --signal INT --quiet \
+ --pidfile $PIDFILE --exec $DAEMON
+ then
+ rm $PIDFILE
+ if start-stop-daemon --start --quiet \
+ --pidfile $PIDFILE --exec $DAEMON -- $DAEMON_OPTS ; then
+ log_end_msg 0
+ else
+ log_end_msg 1
+ fi
+ else
+ log_end_msg 1
+ fi
+ ;;
+ reopen-logs)
+ log_daemon_msg "Reopening $DESC logs" $NAME
+ if start-stop-daemon --stop --signal HUP --oknodo --quiet \
+ --pidfile $PIDFILE --exec $DAEMON
+ then
+ log_end_msg 0
+ else
+ log_end_msg 1
+ fi
+ ;;
+ restart)
+ check_syntax
+ $0 stop
+ $0 start
+ ;;
+ status)
+ status_of_proc -p "$PIDFILE" "$DAEMON" lighttpd && exit 0 || exit $?
+ ;;
+ *)
+ echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload|status}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0
\ No newline at end of file
--- /dev/null
+build/etc/baculum/baculum-lighttpd.conf /etc/baculum/
+build/etc/baculum/Data-lighttpd/baculum.users /etc/baculum/Data-lighttpd/
\ No newline at end of file
--- /dev/null
+etc/baculum/Data-lighttpd usr/share/baculum/htdocs/protected/Data
--- /dev/null
+#!/bin/sh
+
+set -e
+
+case "$1" in
+ configure)
+ chown -R www-data:www-data /etc/baculum/Data-lighttpd
+ chown www-data:www-data /etc/baculum/baculum-lighttpd.conf
+ chmod 750 /etc/baculum/Data-lighttpd
+ chown -R www-data:www-data /var/cache/baculum
+ ;;
+esac
+
+#DEBHELPER#
--- /dev/null
+#!/bin/sh
+
+set -e
+
+rm /usr/share/baculum/htdocs/protected/Data/baculum.users
+
+#DEBHELPER#
+
+exit 0
\ No newline at end of file
--- /dev/null
+var/cache/baculum
\ No newline at end of file
+++ /dev/null
-#!/bin/sh
-### BEGIN INIT INFO
-# Provides: baculum
-# Required-Start: $local_fs $remote_fs $network $syslog $named
-# Required-Stop: $local_fs $remote_fs $network $syslog $named
-# Default-Start: 2 3 4 5
-# Default-Stop: 0 1 6
-# Short-Description: Start/stop Baculum
-# Description: Start the Baculum WebGUI Bacula Community tool.
-# This script uses Lighttpd web server for working Baculum WebGUI tool.
-### END INIT INFO
-
-DESC="Baculum WebGUI Bacula Community tool"
-NAME=baculum
-SCRIPTNAME=/etc/init.d/$NAME
-DAEMON=/usr/sbin/lighttpd
-DAEMON_OPTS="-f /etc/baculum/baculum.lighttpd.conf"
-PIDFILE="/var/run/$NAME.pid"
-
-test -x $DAEMON || exit 0
-
-check_syntax()
-{
- $DAEMON -t $DAEMON_OPTS > /dev/null || exit $?
-}
-
-. /lib/lsb/init-functions
-
-case "$1" in
- start)
- check_syntax
- log_daemon_msg "Starting $DESC" $NAME
- if ! start-stop-daemon --start --oknodo --quiet \
- --pidfile $PIDFILE --exec $DAEMON -- $DAEMON_OPTS
- then
- log_end_msg 1
- else
- log_end_msg 0
- fi
- ;;
- stop)
- log_daemon_msg "Stopping $DESC" $NAME
- if start-stop-daemon --stop --retry 30 --oknodo --quiet \
- --pidfile $PIDFILE --exec $DAEMON
- then
- rm -f $PIDFILE
- log_end_msg 0
- else
- log_end_msg 1
- fi
- ;;
- reload|force-reload)
- check_syntax
- log_daemon_msg "Reloading $DESC configuration" $NAME
- if start-stop-daemon --stop --signal INT --quiet \
- --pidfile $PIDFILE --exec $DAEMON
- then
- rm $PIDFILE
- if start-stop-daemon --start --quiet \
- --pidfile $PIDFILE --exec $DAEMON -- $DAEMON_OPTS ; then
- log_end_msg 0
- else
- log_end_msg 1
- fi
- else
- log_end_msg 1
- fi
- ;;
- reopen-logs)
- log_daemon_msg "Reopening $DESC logs" $NAME
- if start-stop-daemon --stop --signal HUP --oknodo --quiet \
- --pidfile $PIDFILE --exec $DAEMON
- then
- log_end_msg 0
- else
- log_end_msg 1
- fi
- ;;
- restart)
- check_syntax
- $0 stop
- $0 start
- ;;
- status)
- status_of_proc -p "$PIDFILE" "$DAEMON" lighttpd && exit 0 || exit $?
- ;;
- *)
- echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload|status}" >&2
- exit 1
- ;;
-esac
-
-exit 0
\ No newline at end of file
--- /dev/null
+build/usr/share/baculum/htdocs/AUTHORS /usr/share/baculum/htdocs/
+build/usr/share/baculum/htdocs/framework /usr/share/baculum/htdocs/
+build/usr/share/baculum/htdocs/index.php /usr/share/baculum/htdocs/
+build/usr/share/baculum/htdocs/protected/application.xml /usr/share/baculum/htdocs/protected/
+build/usr/share/baculum/htdocs/protected/Class /usr/share/baculum/htdocs/protected/
+build/usr/share/baculum/htdocs/protected/JavaScript /usr/share/baculum/htdocs/protected/
+build/usr/share/baculum/htdocs/protected/Lang /usr/share/baculum/htdocs/protected/
+build/usr/share/baculum/htdocs/protected/Layouts /usr/share/baculum/htdocs/protected/
+build/usr/share/baculum/htdocs/protected/Pages /usr/share/baculum/htdocs/protected/
+build/usr/share/baculum/htdocs/protected/Portlets /usr/share/baculum/htdocs/protected/
+build/usr/share/baculum/htdocs/themes /usr/share/baculum/htdocs/
+build/usr/share/locale/en/LC_MESSAGES/baculum.mo /usr/share/locale/en/LC_MESSAGES/
+build/usr/share/locale/pl/LC_MESSAGES/baculum.mo /usr/share/locale/pl/LC_MESSAGES/
\ No newline at end of file
usr/share/javascript/excanvas/excanvas.js usr/share/baculum/htdocs/protected/JavaScript/excanvas.js
-etc/baculum/baculum.users usr/share/baculum/htdocs/protected/Data/baculum.users
usr/share/doc/baculum/copyright usr/share/baculum/htdocs/LICENSE
var/cache/baculum usr/share/baculum/htdocs/assets
-var/cache/baculum usr/share/baculum/htdocs/protected/runtime
\ No newline at end of file
+var/cache/baculum usr/share/baculum/htdocs/protected/runtime
+usr/share/locale/en/LC_MESSAGES/baculum.mo usr/share/baculum/htdocs/protected/Lang/en/messages.mo
+usr/share/locale/pl/LC_MESSAGES/baculum.mo usr/share/baculum/htdocs/protected/Lang/pl/messages.mo
\ No newline at end of file
case "$1" in
configure)
- chown -R www-data:www-data /etc/baculum
chown -R www-data:www-data /usr/share/baculum/htdocs
- chmod 750 /etc/baculum
- chmod 750 /usr/share/baculum/htdocs/protected/Data
chown -R www-data:www-data /var/cache/baculum
- chown www-data:www-data /var/log/baculum
- chmod 750 /var/log/baculum
;;
esac
set -e
rm /usr/share/baculum/htdocs/protected/JavaScript/excanvas.js
-rm /usr/share/baculum/htdocs/protected/Data/baculum.users
rm /usr/share/baculum/htdocs/LICENSE
#DEBHELPER#
-baculum (7.0.5) stable; urgency=low
+baculum (7.2.0-1~vivid1) vivid; urgency=medium
- * new upstream
+ [ Marcin Haba ]
+ * update upstream to 7.2.0
+ * Tweak typo in package description
+ * runtime symbolic link is not included in install file
+ * override dh_auto_build in rules file
+ * update copyright
+ * split package into baculum, baculum-apache2 and baculum-lighttpd packages
- -- Marcin Haba <marcin.haba@bacula.pl> Sun, 08 Feb 2015 21:00:01 +0200
+ -- Marcin Haba <marcin.haba@bacula.pl> Sun, 16 Aug 2015 00:48:01 +0200
+
+baculum (7.0+git20150616ppa1~vivid1) vivid; urgency=low
+
+ [ Marcin Haba ]
+ * new upstream
+
+ -- Marcin Haba <marcin.haba@bacula.pl> Tue, 16 Jun 2015 22:52:01 +0200
Package: baculum
Section: web
Architecture: all
-Depends: ${misc:Depends}, php5-cgi, php5-curl, php5-mysql, php5-pgsql, php5-sqlite, php5-json, lighttpd, libjs-excanvas
+Depends: ${misc:Depends}, php5-cgi, php5-curl, php5-mysql, php5-pgsql, php5-sqlite, php5-json, libjs-excanvas
Description: WebGUI tool for Bacula Community program
- Baculum is web based tool to manage, administrate and monitor Bacula services.
- From server side Baculum is written in PHP and works basing on PRADO Framework.
+ Baculum is web based tool to manage, administer and monitor Bacula services.
+ From server side Baculum is written in PHP and it works basing on PRADO Framework.
Baculum interface enables e.g. to run Bacula backup and restore actions, take
- access to Bacula console via web, watch backup graphs and others.
\ No newline at end of file
+ access to Bacula console via web, watch backup graphs and others.
+
+Package: baculum-apache2
+Section: web
+Architecture: all
+Depends: ${misc:Depends}, apache2, libapache2-mod-php5, baculum
+Conflicts: baculum-lighttpd
+Description: WebGUI tool for Bacula Community program
+ This package provides the Apache configuration for Baculum WebGUI tool.
+ By using this module it is possible to run Baculum in Apache environment.
+
+Package: baculum-lighttpd
+Section: web
+Architecture: all
+Depends: ${misc:Depends}, lighttpd
+Conflicts: baculum-httpd
+Description: WebGUI tool for Bacula Community program, baculum
+ This package provides the Lighttpd configuration for Baculum WebGUI tool.
+ By using this module it is possible to run Baculum in Lighttpd environment.
+
+++ /dev/null
-etc/baculum
-usr/share/baculum/htdocs
-usr/share/baculum/htdocs/protected
-var/cache/baculum
-var/log/baculum
\ No newline at end of file
+++ /dev/null
-.htaccess /usr/share/baculum/htdocs/
-AUTHORS /usr/share/baculum/htdocs/
-framework /usr/share/baculum/htdocs/
-index.php /usr/share/baculum/htdocs/
-protected/application.xml /usr/share/baculum/htdocs/protected/
-protected/Class /usr/share/baculum/htdocs/protected/
-protected/Data /usr/share/baculum/htdocs/protected/
-protected/.htaccess /usr/share/baculum/htdocs/protected/
-protected/JavaScript /usr/share/baculum/htdocs/protected/
-protected/Lang /usr/share/baculum/htdocs/protected/
-protected/Layouts /usr/share/baculum/htdocs/protected/
-protected/Pages /usr/share/baculum/htdocs/protected/
-protected/Portlets /usr/share/baculum/htdocs/protected/
-themes /usr/share/baculum/htdocs/
-examples/deb/baculum.users /etc/baculum/
-examples/deb/baculum.lighttpd.conf /etc/baculum/
%:
dh $@
override_dh_auto_build:
- true
+ make DESTDIR=build SAMPLETYPE=deb-template HTTPDNAME=apache2 HTTPDSITECONF=sites-available